%undefine _debugsource_packages

Name:		intel-xed
Version:	2022.08.11
%define mversion 2022.07.28
Release:	1%{?dist}
Summary:	X86 Encoder Decoder

Group:		Development/Libraries
License:	ASL 2.0
URL:		https://github.com/intelxed/xed
Source0:	https://github.com/intelxed/xed/archive/refs/tags/v%{version}.tar.gz#/xed-%{version}.tar.gz
Source1:	https://github.com/intelxed/mbuild/archive/refs/tags/v%{mversion}.tar.gz#/mbuild-%{mversion}.tar.gz

BuildRequires:	gcc gcc-c++ python3

%description
The X86 Encoder Decoder (XED), is a software library for encoding and decoding X86 (IA32 and Intel64) instructions

%package devel
Summary:        Development files for intel-xed
Requires:       %{name} = %{version}-%{release}

%description devel
Development files for intel-xed.

%prep
%autosetup -n xed-%{version} -c -a 0 -a 1
mv mbuild-* mbuild

%build
DEST=`pwd`/install
mkdir $DEST
cd xed-%{version}
# build twice to ensure static library gets built as well
./mfile.py --extra-ccflags="-fPIC" --extra-cxxflags="-fPIC" --prefix=$DEST install
rm -rf $DEST/*
./mfile.py --shared --extra-ccflags="-fPIC" --extra-cxxflags="-fPIC" --prefix=$DEST install

%install
mkdir -p %{buildroot}%{_includedir}
mv install/include/* %{buildroot}%{_includedir}
mkdir -p %{buildroot}%{_libdir}
mv install/lib/* %{buildroot}%{_libdir}

%files
%doc xed-%{version}/README.md xed-%{version}/LICENSE
%{_libdir}/*.so

%files devel
%doc xed-%{version}/LICENSE
%{_includedir}/xed
%{_libdir}/*.a

%changelog
* Sun Oct 06 2024 Josko Plazonic <plazonic@princeton.edu> - 2022.08.11-1
- Initial build
